<ng-container *transloco="let t">
  <h2
    mat-dialog-title
    class="primary-title header-spacing">
    {{t('general_forms.edit_contact_data')}}
  </h2>
  <form
    [formGroup]="contactForm"
    (ngSubmit)="onSubmit()">
    <mat-dialog-content class="mat-typography dialog-content-text-color">
      <div class="content-container">
        <h2 class="row-container headline">{{t('general_forms.address')}}</h2>
        <div class="row-container">
          <mat-form-field class="street-name">
            <mat-label>{{t('general_forms.street_name')}}</mat-label>
            <input
              matInput
              formControlName="street_name"
              type="text">
            <mat-error *ngIf="streetName.hasError('required')">
              {{t('general_forms.street_name')}}{{t('general_forms.required')}}
            </mat-error>
            <mat-error *ngIf="streetName.hasError('maxlength')">
              {{t('general_forms.max_form_length', {maxLength: MAX_FORM_LENGTH})}}
            </mat-error>
          </mat-form-field>
          <mat-form-field class="street-number">
            <mat-label>{{t('general_forms.street_number')}}</mat-label>
            <input
              matInput
              formControlName="street_number"
              type="text">
            <mat-error *ngIf="streetNumber.hasError('required')">
              {{t('general_forms.street_number')}}{{t('general_forms.required')}}
            </mat-error>
            <mat-error *ngIf="streetNumber.hasError('maxlength')">
              {{t('general_forms.max_form_length', {maxLength: MAX_FORM_LENGTH})}}
            </mat-error>
          </mat-form-field>
        </div>
        <div class="row-container">
          <mat-form-field class="zip-code">
            <mat-label>{{t('general_forms.zip_code')}}</mat-label>
            <input
              matInput
              formControlName="zip_code"
              type="text">
            <mat-error *ngIf="zipCode.hasError('required')">
              {{t('general_forms.zip_code')}}{{t('general_forms.required')}}
            </mat-error>
            <mat-error *ngIf="zipCode.hasError('maxlength')">
              {{t('general_forms.max_form_length', {maxLength: MAX_FORM_LENGTH})}}
            </mat-error>
            <mat-error *ngIf="zipCode.hasError('pattern')">{{t('general_forms.zip_code_pattern')}}</mat-error>
          </mat-form-field>
          <mat-form-field class="place-name">
            <mat-label>{{t('general_forms.place_name')}}</mat-label>
            <input
              matInput
              formControlName="place_name"
              type="text">
            <mat-error *ngIf="placeName.hasError('required')">
              {{t('general_forms.place_name')}}{{t('general_forms.required')}}
            </mat-error>
            <mat-error *ngIf="placeName.hasError('maxlength')">
              {{t('general_forms.max_form_length', {maxLength: MAX_FORM_LENGTH})}}
            </mat-error>
          </mat-form-field>
        </div>
        <div class="row-container">
          <mat-form-field class="grow-one">
            <mat-label>{{t('organization_forms.department')}}</mat-label>
            <input
              matInput
              formControlName="department"
              type="text">
            <mat-error *ngIf="department.hasError('maxlength')">
              {{t('general_forms.max_form_length', {maxLength: MAX_FORM_LENGTH})}}
            </mat-error>
          </mat-form-field>
        </div>
        <div class="row-container">
          <mat-form-field class="grow-one">
            <mat-label>{{t('general_forms.region')}}</mat-label>
            <mat-select formControlName="country_code">
              <mat-option
                *ngFor="let country of data.countries"
                [value]="country.country_code">
                {{country.translated_names|country}}
              </mat-option>
            </mat-select>
            <mat-error *ngIf="countryCode.hasError('required')">
              {{t('general_forms.region')}}{{t('general_forms.required')}}
            </mat-error>
          </mat-form-field>
        </div>
      </div>
      <div class="content-container">
        <h2 class="row-container headline">
          {{t('general_forms.contact_possibilities')}}
        </h2>
        <div class="row-container">
          <mat-form-field class="phone-number">
            <mat-label>{{t('general_forms.phone_number')}}</mat-label>
            <input
              matInput
              formControlName="phone_number"
              type="tel">
            <mat-error *ngIf="phoneNumber.hasError('required')">
              {{t('general_forms.phone_number')}}{{t('general_forms.required')}}
            </mat-error>
            <mat-error *ngIf="phoneNumber.hasError('maxlength')">
              {{t('general_forms.max_form_length', {maxLength: MAX_FORM_LENGTH})}}
            </mat-error>
            <mat-error *ngIf="phoneNumber.hasError('pattern')">
              {{t('general_forms.phone_number_pattern')}}
            </mat-error>
          </mat-form-field>
          <section class="is-phone-number-public">
            <mat-checkbox
              color="primary"
              formControlName="is_phone_number_public">
              {{t('organization_forms.show_phone_number')}}
            </mat-checkbox>
          </section>
        </div>
        <div class="row-container">
          <mat-form-field class="fax-number">
            <mat-label>{{t('general_forms.fax_number')}}</mat-label>
            <input
              matInput
              formControlName="fax_number"
              type="tel">
            <mat-error *ngIf="faxNumber.hasError('maxlength')">
              {{t('general_forms.max_form_length', {maxLength: MAX_FORM_LENGTH})}}
            </mat-error>
            <mat-error *ngIf="faxNumber.hasError('pattern')">
              {{t('general_forms.phone_number_pattern')}}
            </mat-error>
          </mat-form-field>
          <section class="is-fax-number-public">
            <mat-checkbox
              color="primary"
              formControlName="is_fax_number_public">
              {{t('organization_forms.show_fax_number')}}
            </mat-checkbox>
          </section>
        </div>
        <div class="row-container">
          <mat-form-field class="email-address">
            <mat-label>{{t('general_forms.email_address')}}</mat-label>
            <input
              matInput
              formControlName="email_address"
              type="email">
            <mat-error *ngIf="email.hasError('required')">
              {{t('general_forms.email_address')}}{{t('general_forms.required')}}
            </mat-error>
            <mat-error *ngIf="email.hasError('maxlength')">
              {{t('general_forms.max_form_length', {maxLength: MAX_FORM_LENGTH})}}
            </mat-error>
            <mat-error *ngIf="email.hasError('email')">{{t('general_forms.email_pattern')}}</mat-error>
          </mat-form-field>
          <section class="is-email-address-public">
            <mat-checkbox
              color="primary"
              formControlName="is_email_address_public">
              {{t('organization_forms.show_email_address')}}
            </mat-checkbox>
          </section>
        </div>
        <div class="row-container">
          <mat-form-field class="website">
            <mat-label>{{t('general_forms.website')}}</mat-label>
            <input
              matInput
              formControlName="website"
              type="url">
            <mat-error *ngIf="website.hasError('required')">
              {{t('general_forms.website')}}{{t('general_forms.required')}}
            </mat-error>
            <mat-error *ngIf="website.hasError('maxlength')">
              {{t('general_forms.max_form_length', {maxLength: MAX_FORM_LENGTH})}}
            </mat-error>
            <mat-error *ngIf="website.hasError('url')">
              {{t('general_forms.url_invalid')}}
            </mat-error>
          </mat-form-field>
          <section class="empty"></section>
        </div>
      </div>
    </mat-dialog-content>
    <mat-divider></mat-divider>
    <div class="button-container">
      <button
        mat-stroked-button
        color="warn"
        class="round-button stroked-button-border-color"
        [mat-dialog-close]="undefined">
        {{t('general_forms.cancel')}}
      </button>
      <button
        mat-flat-button
        class="round-button"
        color="primary"
        type="submit"
        [disabled]="contactForm.invalid">
        {{t('general_forms.save')}}
      </button>
    </div>
  </form>
</ng-container>
